Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04120 Misc. Major Always Nov 17, 2010, 02:43 Dec 28, 2010, 22:20
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To couriersud Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver
Version 0.140u1 Fixed in Version 0.141 Build Other
Summary 04120: SDLMAME for Windows does not work unless you use -window
Description Unable to use SDLMAME for Windows without using the -window parameter.
Simply starting with "sdlmame" the screen quickly flashes and you are brought back to commend-prompt. Using -verbose, I get:

E:\mamesvn\trunk>sdlmame -verbose
Parsing mame.ini
Parsing mame.ini
Build version: 0.140u1 (Nov 16 2010)
Build architecure: SDLMAME_ARCH=
Build defines 1: SDLMAME_WIN32=1
Build defines 1: LSB_FIRST=1 DISTRO=generic SYNC_IMPLEMENTATION=win32
SDL/OpenGL defines: SDL_COMPILEDVERSION=1214 USE_OPENGL=1 USE_DISPATCH_GL=1
Compiler defines A: __GNUC__=4 __GNUC_MINOR__=4 __GNUC_PATCHLEVEL__=3 __VERSION_
_="4.4.3 20091223 (prerelease) r155431"
Compiler defines B: __i386__=1
Compiler defines C:
Enter sdlwindow_init
Using SDL single-window soft driver (SDL 1.2)
Leave sdlwindow_init
Keyboard: Start initialization
Input: Adding Kbd #1: System keyboard
Keyboard: Registered System keyboard
Keyboard: End initialization
Mouse: Start initialization
Input: Adding Mouse #1: System mouse
Mouse: Registered System mouse
Mouse: End initialization
Joystick: Start initialization
Input: Adding Joy #1: USB Game Device
Joystick: USB Game Device
Joystick: ... 4 axes, 12 buttons 1 hats
Joystick: ... Physical id 0 mapped to logical id 0
Joystick: End initialization
Audio: Start initialization
Audio: Driver is dsound
Audio: frequency: 48000, channels: 2, samples: 512
sdl_create_buffers: creating stream buffer of 57344 bytes
Audio: End initialization
SDL Device Driver : \\.\DISPLAY1
SDL Monitor Dimensions: 1152 x 864

No device setup and it literally craps out after selecting display+resolution.
Steps To Reproduce Create a build in Windows with: make OSD=sdl
Run SDLMAME with out without a game.
Additional Information With -debug and without -window, you get a clear assert:
assert: src/emu/render.c:2117: ext[0] < 0.0f

Research indicates MAME r10534 (dealing with OSD Fonts and adding -uifont command) is the cause of the error.
Flags
Regression Version 0.140u1
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.06871
Fujix
Administrator
Nov 18, 2010, 12:43
Same here:
Parsing mame.ini
Parsing mame.ini
Build version: 0.140u1 (Nov 18 2010)
Build architecure: SDLMAME_ARCH=-march=pentiumpro
Build defines 1: SDLMAME_WIN32=1
Build defines 1: LSB_FIRST=1 DISTRO=generic SYNC_IMPLEMENTATION=win32
SDL/OpenGL defines: SDL_COMPILEDVERSION=1214 USE_OPENGL=1 USE_DISPATCH_GL=1
Compiler defines A: __GNUC__=4 __GNUC_MINOR__=4 __GNUC_PATCHLEVEL__=3 __VERSION
_="4.4.3 20091223 (prerelease) r155431"
Compiler defines B: __i386__=1
Compiler defines C:
Enter sdlwindow_init
Using SDL single-window soft driver (SDL 1.2)
Leave sdlwindow_init
Keyboard: Start initialization
Input: Adding Kbd #1: System keyboard
Keyboard: Registered System keyboard
Keyboard: End initialization
Mouse: Start initialization
Input: Adding Mouse #1: System mouse
Mouse: Registered System mouse
Mouse: End initialization
Joystick: Start initialization
Joystick: End initialization
Audio: Start initialization
Audio: Driver is dsound
Audio: frequency: 48000, channels: 2, samples: 512
sdl_create_buffers: creating stream buffer of 57344 bytes
Audio: End initialization
SDL Device Driver : \\.\DISPLAY1
SDL Monitor Dimensions: 1920 x 1200